/**
* Copyright (c) 2005, Freescale Semiconductor
* Freescale Willy Note
*
* File name : main.c
* Project name: QG8_ACMP.mcp
*
* Author : Oscar Luna Gonzalez
*          Gonzalo Delgado Huitron
* Department : RTAC Americas
*
* Description : This example illustrates the use of the Analog comparator 
*               module for the MC9S08QG8 microcontroller, a LED will turn 
*               on when the reference voltage is passed. This project was 
*               made with the Device Initialization tool which sets the 
*               module, according to the user's needs. For this example, 
*               the ACMP module is configured to comply with the following
*               requirements:
*                       + Analog Comparator is enabled
*                       + External pin ACMP+ selected as Non-inverting input 
*                       + Enables ACMP interrupt  
*                       + Sets ACF flag when compare event detects rising
*                         Or falling edge
*                       + COP is disabled 
*                       + LED is controlled by PTB6 
*
*                            
* (Refer to AN3136 for more information about Device Initialization)
*
* History :   
* 10/08/2005  : Release (rgd04c)
*/

#include <hidef.h> /* for EnableInterrupts macro */
#include "derivative.h" /* include peripheral declarations */
#include "MCUinit.h"

void main(void) {

MCU_init();					/* Initialize MCU and modules with Device Initialization */
 

for (;;)
    {
        

    }

  /* please make sure that you never leave this function */
}
