/**
* Copyright (c) 2005, Freescale Semiconductor
* Freescale Willy Note
* File name : main.c
* Project name: Flash_Programming_Routine.mcp
*
* Author : Gabriel Sanchez Barba
*          Gonzalo Delgado Huitron
* Department : RTAC Americas
*
* Description : This example illustrates the use of the Flash Programming
*               and erasing routines for the Flash memory included in the 
*               HCS08 microcontrollers. This project was done for the 
*               MC9S08QG8 MCU.This project was made with the Device 
*               Initialization tool which sets the module, according to 
*               the user's needs. For this example, the Flash modules was 
*               configured with the following values:
*               + Flash Clock Divider to 0x13 (between 150 and 200Khz)
*
*                            
* (Refer to AN3136 for more information about Device Initialization)
*
* History :   
* 10/08/2005  : Release (rgd04c)
*/

#include <hidef.h> /* for EnableInterrupts macro */
#include "derivative.h" /* include peripheral declarations */
#include "MCUinit.h"

/*
 * In ANSI-C it is normally not allowed to cast an object pointer to a function pointer or a 
 * function pointer to an object pointer. Since this operation is needed in the code the Warning
 * message generated is being disabled
 */
#pragma MESSAGE DISABLE C1805


#define Page_Erase   PGM[21]=0x40; temp = ((unsigned char(*)(unsigned int))(PGM))
#define Program_Byte PGM[21]=0x20; temp = ((unsigned char(*)(unsigned int, unsigned char))(PGM))

//Array of opcode instructions of the Erase/Program function in the HCS08 family
volatile unsigned char PGM[59]  = {  
0x87,0xC6,0x18,0x25,0xA5,0x10,0x27,0x08,0xC6,0x18,0x25,0xAA,0x10,0xC7,0x18,0x25,
0x9E,0xE6,0x01,0xF7,0xA6,0x20,0xC7,0x18,0x26,0x45,0x18,0x25,0xF6,0xAA,0x80,0xF7,
0x9D,0x9D,0x9D,0x9D,0x45,0x18,0x25,0xF6,0xF7,0xF6,0xA5,0x30,0x27,0x04,0xA6,0xFF,
0x20,0x07,0xC6,0x18,0x25,0xA5,0x40,0x27,0xF9,0x8A,0x81};
/*  The opcode above represents this set of instructions  
    if (FSTAT&0x10){                     //Check to see if FACCERR is set
        FSTAT = FSTAT | 0x10;            //write a 1 to FACCERR to clear
    }
    (*((volatile unsigned char *)(Address))) = data;  //write to somewhere in flash
    FSTAT = FSTAT | 0x80;                //Put FCBEF at 1.
    _asm NOP;                            //Wait 4 cycles
    _asm NOP;
    _asm NOP;
    _asm NOP;
    if (FSTAT&0x30){                     //check to see if FACCERR or FVIOL are set
    return 0xFF;                         //if so, error.
    }
    while ((FSTAT&0x40)==0){             //else wait for command to complete
        ;
    }*/
    
void main(void) {
  
  unsigned char temp,i;
  MCU_init();
  /* include your code here */
  temp = Page_Erase(0xF000);
  if(temp==0xFF){
      PTAD=0;
   
  }
    for(i=0; i< 255; i++) {
  temp = Program_Byte(0xF000+i,i);
  if(temp==0xFF){
      PTAD=0;
  }
  }

  for(;;) {
    __RESET_WATCHDOG(); /* feeds the dog */
  } /* loop forever */
  /* please make sure that you never leave this function */
  /* please make sure that you never leave this function */
}
